@charset "utf-8";

/*==================================
　スマートフォン用ナビゲーション
===================================*/

@media (width <= 1199px) {
    /*　ハンバーガーメニューボタン　*/
    .hamburger {
        display: block;
        position: fixed;
        z-index: 5;
        right: 15px;
        top: 20px;
        width: 42px;
        height: 42px;
        cursor: pointer;
        text-align: center;
        background-color: #90278c;
    }

    .hamburger span {
        display: block;
        position: absolute;
        width: 30px;
        height: 2px;
        left: 6px;
        background: var(--color-tertiary);
        -webkit-transition: 0.3s ease-in-out;
        -moz-transition: 0.3s ease-in-out;
        transition: 0.3s ease-in-out;
    }

    .hamburger span:nth-child(1) {
        top: 10px;
    }

    .hamburger span:nth-child(2) {
        top: 20px;
    }

    .hamburger span:nth-child(3) {
        top: 30px;
    }

    /* スマホメニューを開いてる時のボタン */
    .hamburger.active {
        top: 20px;
    }
    .hamburger.active span:nth-child(1) {
        top: 20px;
        left: 6px;
        background: var(--color-tertiary);
        -webkit-transform: rotate(-45deg);
        -moz-transform: rotate(-45deg);
        transform: rotate(-45deg);
    }

    .hamburger.active span:nth-child(2),
    .hamburger.active span:nth-child(3) {
        top: 20px;
        background: var(--color-tertiary);
        -webkit-transform: rotate(45deg);
        -moz-transform: rotate(45deg);
        transform: rotate(45deg);
    }

    /* メニュー背景　*/
    .globalMenuSp {
        height: 100vh;
        position: fixed;
        z-index: 4;
        top: 0;
        left: 0;
        color: #fff;
        background-color: #90278c;
        text-align: left;
        width: 100%;
        transform: translateX(-100%);
        transition: all 0.6s;
        overflow: auto;
    }

    .globalMenuSp ul {
        margin: 0 auto;
        padding: 70px 0 0 0;
        width: 100%;
        height: 100vh;
        overflow-y: auto;
    }

    .globalMenuSp ul li {
        list-style-type: none;
        padding: 0;
        width: 100%;
        transition: .4s all;
    }

    .globalMenuSp ul li:hover {
        background: var(--color-secondary);
    }

    .globalMenuSp ul li.active {
        background: rgba(255, 255, 255, 0.7);
    }

    .globalMenuSp ul li.active a {
        color: var(--color-secondary);
        font-weight: bold;
    }

    .globalMenuSp ul li a {
        display: block;
        font-size: 16px;
        color: #FFFFFF;
        padding: 20px 40px;
        text-decoration: none;
    }

    /* クリックでjQueryで追加・削除 */
    .globalMenuSp.active {
        opacity: 100;
        display: block;
        transform: translateX(0%);
    }

    .lang__switch {
        margin-bottom: 20px;
    }

    .lang__switch span a  {
        border-bottom: 1px solid #FFFFFF;
    }

    .lang__switch span a::before {
        font-family: "Font Awesome 5 Free";
        content: "\f061";
        font-weight: 900;
        font-size: 0.8em;
        padding-right: .3em;
        position: relative;
        top: -1px;
        color: #FFFFFF;
    }

    .lang__switch .current {
        display: none;
        height: 0;
    }
    
}

/*==================================
　PC用ナビゲーション
===================================*/

@media (width >= 1200px) {

    .hamburger {
        display: none;
    }

    .menu {
        /* padding-top: 10px; */
    }

    .menu > * + * {
        margin-top: 2px;
    }

    .menu li:not(.lang__switch) a {
        display: flex;
        align-items: center;
        width: 230px;
        margin-left: auto;
        margin-right: auto;
        min-height: 58px;
        box-sizing: border-box;
        border: 2px solid transparent;
        background-clip: padding-box, border-box;
        background-origin: padding-box, border-box;
        background-image: linear-gradient(to bottom, #008ee8 0%, #00beff 100%), linear-gradient(to top, #008ee8 0%, #00beff 100%);
        background-position: left top;
        background-repeat: no-repeat;
        background-size: 100% 100%;
        font-size: 16px;
        font-weight: bold;
        font-feature-settings: "palt";
        line-height: 1.2;
        color: #FFFFFF;
        text-shadow: 2px 2px 5px rgba(0, 0, 0, 1);
        text-decoration: none;
        transition: color .5s;
      }

    .menu li:not(.lang__switch) a > span {
        margin-left: 8px;
    }

    .menu li:not(.lang__switch) a > span > span {
        display: block;
    }

    .menu li:not(.lang__switch) a:hover {
        background-image: linear-gradient(to bottom, #90278c 0%, #662d8e 100%), linear-gradient(to bottom, #662d8e 0%, #90278c 100%);
        color: var(--color-tertiary);
        text-decoration: none;
    }

    .menu li:not(.lang__switch).active a {
        background-image: linear-gradient(to bottom, #90278c 0%, #662d8e 100%), linear-gradient(to bottom, #662d8e 0%, #90278c 100%);
        color: var(--color-tertiary);
        pointer-events: none;
    }

    .menu li:not(.lang__switch).active a:hover {
        cursor: default;
    }

    .menu li.lang__switch {
        width: 250px;
        height: 42px;
        display: flex;
        margin-bottom: 10px;
        font-size: 14px;
    }

    .menu li.lang__switch a {
        height: 42px;
        display: flex;
        margin-bottom: 10px;
        font-weight: bold;
        z-index: 2;
    }

    .menu li.lang__switch a {
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;
        width: 125px;
        height: 42px;
        background-color: var(--color-secondary);
        clip-path: polygon(0 0, 100% 0%, 85% 100%, 0% 100%);
        text-decoration: none;
        color: #FFFFFF;
        padding-right: 10px;
    }

    .menu li.lang__switch a:hover {
        text-decoration: none;
        filter: brightness(90%) contrast(110%);
        transition: all 0.5s;
    }

    .menu li.lang__switch .current {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 125px;
        height: 42px;
        color: rgba(255, 255, 255, 0.3);
        padding-right: 10px;
    }
    
}